Memory Stores
Delete memories by scope
Deletes all memories in the specified memory store that are associated with the provided scope.
Параметры заголовка
Foundry-Features
enum
обязательно
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Параметры пути
name
string
обязательно
The name of the memory store.
Параметры запроса
api-version
string
обязательно
The API version to use for this operation.
Текст запроса
scope
string
обязательно
The namespace that logically groups and isolates memories to delete, such as a user ID.
Ответы
The request has succeeded.
Текст
object
enum
обязательно
The object type. Always 'memory_store.scope.deleted'.
name
string
обязательно
The name of the memory store.
scope
string
обязательно
The scope from which memories were deleted.
deleted
boolean
обязательно
Whether the deletion operation was successful.
Запрос
POST /memory_stores/{name}:delete_scope HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json